install with '--upgrade-dependencies' requires '--force-reinstall'

Antoine Latter aslatter at
Sat Feb 11 19:03:01 CET 2012

I'm using a development cut of cabal install from a few weeks ago, so
this may not be relevant anymore (I'll upgrade soon to try the changes
to --enable-tests and install soon), but I found this behavior odd:

When using 'cabal(-dev) install --only-dependecies --solver=modular
--upgrade-dependencies' to test my package with new dependencies, I am
then told I need to use the flag '--force-reinstalls'.

Shouldn't this be implied by '--upgrade-dependencies'?


More information about the cabal-devel mailing list